/* SMTSIM simulator.
   
   Copyright (C) 1994-1999 by Dean Tullsen (tullsen@cs.ucsd.edu)
   ALL RIGHTS RESERVED.

   SMTSIM is distributed under the following conditions:

     You may make copies of SMTSIM for your own use and modify those copies.

     All copies of SMTSIM must retain all copyright notices contained within.

     You may not sell SMTSIM or distribute SMTSIM in conjunction with a
     commerical product or service without the express written consent of
     Dean Tullsen.

   THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
   IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
   WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
   PURPOSE.

Significant parts of the SMTSIM simulator were written by Gun Sirer
(before it became the SMTSIM simulator) and by Jack Lo (after it became
the SMTSIM simulator).  Therefore the following copyrights may also apply:

Copyright (C) Jack Lo
Copyright (C) E. Gun Sirer

Pieces of this code may have been derived from Jim Larus' SPIM simulator,
which contains the following copyright:

==============================================================
   Copyright (C) 1990-1998 by James Larus (larus@cs.wisc.edu).
   ALL RIGHTS RESERVED.

   SPIM is distributed under the following conditions:

     You may make copies of SPIM for your own use and modify those copies.

     All copies of SPIM must retain my name and copyright notice.

     You may not sell SPIM or distributed SPIM in conjunction with a
     commerical product or service without the expressed written consent of
     James Larus.

   THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
   IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
   WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
   PURPOSE.
===============================================================
 */


{ SYS_syscall,	SPC_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, NO_ARG, "syscall"},
{ SYS_exit,	SPC_SYSCALL, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "exit"},
{ SYS_fork,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "fork"},
{ SYS_read,	SPC_SYSCALL, FD_ARG, ADDR_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "read"},
{ SYS_write,	UNIX_SYSCALL, FD_ARG, STR_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "write"},
{ SYS_old_open,	SPC_SYSCALL, STR_ARG, INT_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "old_open"},
{ SYS_close,	SPC_SYSCALL, FD_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "close"},
{ 7,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_old_creat,	SPC_SYSCALL, STR_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "old_creat"},
{ SYS_link,	UNIX_SYSCALL, STR_ARG, STR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "link"},
{ SYS_unlink,	UNIX_SYSCALL, STR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "unlink"},
{ SYS_execv,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "execv"},
{ SYS_chdir,	UNIX_SYSCALL, STR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "chdir"},
{ 13,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_mknod,	UNIX_SYSCALL, STR_ARG, INT_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "mknod"},
{ SYS_chmod,	UNIX_SYSCALL, STR_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "chmod"},
{ SYS_chown,	UNIX_SYSCALL, STR_ARG, INT_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "chown"},
{ SYS_obreak,	SPC_SYSCALL, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "obreak"},
{ 18,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_lseek,	UNIX_SYSCALL, FD_ARG, INT_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "lseek"},
{ SYS_getpid,	UNIX_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "getpid"},
{ SYS_mount,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "mount"},
{ 22,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 23,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_getuid,	UNIX_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "getuid"},
{ 25,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_ptrace,	UNIX_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, NO_ARG, "ptrace"},
{ 27,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 28,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 29,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 30,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 31,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 32,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_access,	UNIX_SYSCALL, STR_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "access"},
{ 34,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 35,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_sync,	UNIX_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "sync"},
{ SYS_kill,	UNIX_SYSCALL, INT_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "kill"},
{ SYS_old_stat,	SPC_SYSCALL, STR_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "old_stat"},
{ 39,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_old_lstat,	SPC_SYSCALL, STR_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "old_lstat"},
{ SYS_dup,	SPC_SYSCALL, FD_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "dup"},
{ SYS_pipe,	UNIX_SYSCALL, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "pipe"},
{ 43,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_profil,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "profil"},
{ SYS_open,	SPC_SYSCALL, STR_ARG, INT_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "open"},
{ 46,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_getgid,	UNIX_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "getgid"},
{ SYS_sigprocmask,	SPC_SYSCALL, INT_ARG, ADDR_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, "sigprocmask"},
{ 49,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 50,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_acct,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "acct"},
{ SYS_sigpending,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "sigpending"},
{ 53,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_ioctl,	SPC_SYSCALL, FD_ARG, INT_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, "ioctl"},
{ SYS_reboot,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "reboot"},
{ 56,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_symlink,	UNIX_SYSCALL, STR_ARG, STR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "symlink"},
{ SYS_readlink,	UNIX_SYSCALL, ADDR_ARG, ADDR_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "readlink"},
{ SYS_execve,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "execve"},
{ SYS_umask,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "umask"},
{ SYS_chroot,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "chroot"},
{ SYS_old_fstat,	SPC_SYSCALL, FD_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "old_fstat"},
{ 63,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_getpagesize,	SPC_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "getpagesize"},
{ SYS_mremap,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "mremap"},
{ SYS_vfork,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "vfork"},
{ SYS_stat,	SPC_SYSCALL, STR_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "stat"},
{ SYS_lstat,	SPC_SYSCALL, STR_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "lstat"},
{ SYS_sbrk,	SPC_SYSCALL, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "sbrk"},
{ SYS_sstk,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "sstk"},
{ SYS_mmap,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "mmap"},
{ 72,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_munmap,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "munmap"},
{ SYS_mprotect,	UNIX_SYSCALL, ADDR_ARG, INT_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "mprotect"},
{ SYS_madvise,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "madvise"},
{ SYS_old_vhangup,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "old_vhangup"},
{ 77,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_mincore,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "mincore"},
{ SYS_getgroups,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "getgroups"},
{ SYS_setgroups,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "setgroups"},
{ SYS_old_getpgrp,	UNIX_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "old_getpgrp"},
{ SYS_setpgrp,	UNIX_SYSCALL, INT_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "setpgrp"},
{ SYS_setitimer,	SPC_SYSCALL, INT_ARG, ADDR_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, "setitimer"},
{ SYS_old_wait,	BAD_SYSCALL, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "old_wait"},
{ 85,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_getitimer,	UNIX_SYSCALL, INT_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "getitimer"},
{ SYS_gethostname,	UNIX_SYSCALL, ADDR_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "gethostname"},
{ SYS_sethostname,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "sethostname"},
{ SYS_getdtablesize,	UNIX_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "getdtablesize"},
{ SYS_dup2,	SPC_SYSCALL, FD_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "dup2"},
{ SYS_fstat,	SPC_SYSCALL, FD_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "fstat"},
{ SYS_fcntl,	UNIX_SYSCALL, FD_ARG, INT_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "fcntl"},
{ SYS_select,	SPC_SYSCALL, INT_ARG, ADDR_ARG, ADDR_ARG, ADDR_ARG, ADDR_ARG, NO_ARG, "select"},
{ 94,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_fsync,	UNIX_SYSCALL, FD_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "fsync"},
{ SYS_setpriority,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "setpriority"},
{ SYS_socket,	SPC_SYSCALL, INT_ARG, INT_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "socket"},
{ SYS_connect,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "connect"},
{ SYS_old_accept,	BAD_SYSCALL, INT_ARG, ADDR_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, "old_accept"},
{ SYS_getpriority,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "getpriority"},
{ SYS_old_send,	BAD_SYSCALL, INT_ARG, STR_ARG, INT_ARG, INT_ARG, NO_ARG, NO_ARG, "old_send"},
{ SYS_old_recv,	BAD_SYSCALL, INT_ARG, STR_ARG, INT_ARG, INT_ARG, NO_ARG, NO_ARG, "old_recv"},
{ SYS_sigreturn,	SPC_SYSCALL, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "sigreturn"},
{ SYS_bind,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "bind"},
{ SYS_setsockopt,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "setsockopt"},
{ SYS_listen,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "listen"},
{ SYS_plock,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "plock"},
{ SYS_old_sigvec,	SPC_SYSCALL, INT_ARG, ADDR_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, "old_sigvec"},
{ SYS_old_sigblock,	SPC_SYSCALL, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "old_sigblock"},
{ SYS_old_sigsetmask,	SPC_SYSCALL, INT_ARG, ADDR_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, "old_sigsetmask"},
{ 111,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_sigstack,	SPC_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "sigstack"},
{ SYS_old_recvmsg,	BAD_SYSCALL, INT_ARG, ADDR_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "old_recvmsg"},
{ SYS_old_sendmsg,	BAD_SYSCALL, INT_ARG, ADDR_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "old_sendmsg"},
{ 115,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_gettimeofday,	UNIX_SYSCALL, ADDR_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "gettimeofday"},
{ SYS_getrusage,	UNIX_SYSCALL, INT_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "getrusage"},
{ SYS_getsockopt,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "getsockopt"},
{ 119,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_readv,	UNIX_SYSCALL, FD_ARG, ADDR_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "readv"},
{ SYS_writev,	UNIX_SYSCALL, FD_ARG, ADDR_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "writev"},
{ SYS_settimeofday,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "settimeofday"},
{ SYS_fchown,	UNIX_SYSCALL, FD_ARG, INT_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "fchown"},
{ SYS_fchmod,	UNIX_SYSCALL, FD_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "fchmod"},
{ SYS_old_recvfrom,	BAD_SYSCALL, INT_ARG, STR_ARG, INT_ARG, INT_ARG, ADDR_ARG, ADDR_ARG, "old_recvfrom"},
{ SYS_setreuid,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "setreuid"},
{ SYS_setregid,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "setregid"},
{ SYS_rename,	UNIX_SYSCALL, STR_ARG, STR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "rename"},
{ SYS_truncate,	UNIX_SYSCALL, STR_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "truncate"},
{ SYS_ftruncate,	UNIX_SYSCALL, FD_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "ftruncate"},
{ SYS_flock,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "flock"},
{ 132,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_sendto,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "sendto"},
{ SYS_shutdown,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "shutdown"},
{ SYS_socketpair,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "socketpair"},
{ SYS_mkdir,	UNIX_SYSCALL, STR_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "mkdir"},
{ SYS_rmdir,	UNIX_SYSCALL, STR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "rmdir"},
{ SYS_utimes,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "utimes"},
{ 139,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_adjtime,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "adjtime"},
{ SYS_old_getpeername,	BAD_SYSCALL, INT_ARG, ADDR_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, "old_getpeername"},
{ SYS_gethostid,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "gethostid"},
{ SYS_sethostid,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "sethostid"},
{ SYS_getrlimit,	UNIX_SYSCALL, INT_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "getrlimit"},
{ SYS_setrlimit,	SPC_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "setrlimit"},
{ SYS_old_killpg,	UNIX_SYSCALL, INT_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "old_killpg"},
{ SYS_setsid,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "setsid"},
{ 148,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_oldquota,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "oldquota"},
{ SYS_old_getsockname,	BAD_SYSCALL, INT_ARG, ADDR_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, "old_getsockname"},
{ 151,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 152,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 153,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 154,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 155,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_sigaction,	SPC_SYSCALL, INT_ARG, ADDR_ARG, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, "sigaction"},
{ 157,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 158,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_getdirentries,	UNIX_SYSCALL, INT_ARG, ADDR_ARG, INT_ARG, ADDR_ARG, NO_ARG, NO_ARG, "getdirentries"},
{ SYS_statfs,   UNIX_SYSCALL, STR_ARG, ADDR_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, "statfs"},
{ 161,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 162,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 163,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 164,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_getdomainname,	UNIX_SYSCALL, ADDR_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "getdomainname"},
{ SYS_setdomainname,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "setdomainname"},
{ 167,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 168,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_exportfs,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "exportfs"},
{ 170,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 171,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 172,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 173,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 174,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 175,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 176,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 177,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 178,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 179,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 180,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 181,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 182,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 183,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_getmnt,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "getmnt"},
{ 185,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 186,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 187,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 188,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 189,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 190,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 191,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 192,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 193,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 194,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 195,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 196,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 197,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 198,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_swapon,	BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "swapon"},
{ SYS_msgctl,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "msgctl"},
{ SYS_msgget,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "msgget"},
{ SYS_msgrcv,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "msgrcv"},
{ SYS_msgsnd,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "msgsnd"},
{ SYS_semctl,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "semctl"},
{ SYS_semget,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "semget"},
{ SYS_semop,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "semop"},
{ SYS_uname,	UNIX_SYSCALL, ADDR_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "uname"},
{ 208,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 209,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 210,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 211,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 212,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 213,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 214,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 215,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 216,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 217,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 218,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_utc_gettime,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "utc_gettime"},
{ SYS_utc_adjtime,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "utc_adjtime"},
{ 221,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 222,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 223,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 224,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 225,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 226,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 227,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 228,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 229,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 230,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 231,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 232,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 233,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 234,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 235,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 236,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 237,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 238,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 239,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 240,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 241,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 242,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 243,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 244,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 245,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 246,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 247,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 248,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 249,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_uswitch,	UNIX_SYSCALL, INT_ARG, INT_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, "uswitch"},
{ 251,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_audcntl,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "audcntl"},
{ SYS_audgen,	BAD_SYSCALL, INT_ARG, INT_ARG, INT_ARG, INT_ARG, INT_ARG, NO_ARG, "audgen"},
{ 254,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 255,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ SYS_getsysinfo,	UNIX_SYSCALL, INT_ARG, ADDR_ARG, INT_ARG, ADDR_ARG, ADDR_ARG, NO_ARG, "getsysinfo"},
{ SYS_setsysinfo,	UNIX_SYSCALL, INT_ARG, ADDR_ARG, INT_ARG, ADDR_ARG, ADDR_ARG, NO_ARG, "setsysinfo"},
{ 258,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 259,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
{ 260,   BAD_SYSCALL, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, NO_ARG, ""},
